import QtQuick 2.9
import QtMultimedia 5.8
import QtQuick.Window 2.2
import QtQuick.Controls 2.2
import QtQuick.Layouts 1.3
import QtGraphicalEffects 1.0
import "../components"

ListView {
    id: control

    property string title: qsTr("connections")
    property var parentObj

    spacing: parentObj.rowSpacing
    boundsBehavior: Flickable.StopAtBounds

    model: speedBackend.baseStationConnections.length
    delegate: ConnectionDelegate {

        opacity: 1

        width: parent.width
        height: parentObj.delegateHeight

        text: speedBackend.baseStationConnections[index]["name"]
        status: {'status': speedBackend.baseStationConnections[index]["state"], 'progress': speedBackend.baseStationConnections[index]["progress"]}
    }
}
